<?php
//    Copyright 2010 Andrii Salnikov
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.
//
	// Title and footer
	$voms_title = "PHP VOMS-Admin %s";
	$voms_footer_caption = "<a href=\"http://grid.org.ua/development/pva\">PHP VOMS-Admin</a> версії %s";

	// Main page captions
	$voms_vo_list = "Список ВО, що обслуговується даним сервером";
	$voms_extenal_vo_list = "Список ВО, що обслуговуються іншими серверами";
	$voms_no_vo_served = "Сервер ще не обслуговує жодної ВО";
	$voms_notexist_vo = "ВО, що запитується не обслуговується даним сервером VOMS";
	$voms_confdir_failed = "Помилка при читанні директорії конфігураційних фалів ВО.";

	// VO groups
	$voms_vo_list_caption = "ВО, що обслуговуються";
	$voms_vo_grouplist_caption = "Групи ВО";
	$voms_vo_grouplist_nogroups = "Відсутня конфігурація груп ВО.";

	// URL captions
	$voms_vo_home_title = "Домашня сторінка ВО";
	$voms_vo_sync_title = "VOMS сервер-репліка ";
	$voms_vo_ext_title = "Інший окремий сервер VOMS";

	// Header captions
	$voms_str_forvo = "для ВО: ";
	$voms_str_user  = "Користувач: ";
	$voms_str_unauth = "аутентифікація відсутня";
	$voms_str_nonhttps = "використовуйте HTTPS для аутентифікації";
	$voms_register = " Ви не є членом ВО - <a href=\"%s\">Зареєструватись!</a>";
	$voms_create_user = "Додати учасника";

	// Leave VO
	$voms_leavevo = "Припинити членство";
	$voms_leavevo_sure = "Ви дійсно впевнені, що бажаєте припинити своє членство в віртуальній організації?";
	$voms_leavevo_ok = "Запит на припинення членства в ВО успішно виконано";
	
	// Main menu
	$voms_mlinks = array ( 
		"Керування ВО"		=> "",
		"Конфігурація"		=> "&amp;action=configuration"
	);

	$voms_requests_mlinks = array (
		"Запити членства"	=> "&amp;action=subscriptions",
	);

	$voms_preferences_mlinks = array (
		"Параметри"		=> "&amp;action=preferences"
	);

	$voms_other_vo = "Інші ВО на цьому сервері";

	$voms_mainpage_mlinks = array (
		"Список ВО"			=> "?globop=listvos",
		"Лист адміністратору VOMS"	=> "?globop=mailadm"
	);

	$voms_request_vo_registration = "Надання VOMS для нової ВО";


	$voms_manage_title = "Керування";
	$voms_manage = array (
		"Користувачі"		=> "",
		"Групи"			=> "&amp;operation=groupslist",
		"Ролі"			=> "&amp;operation=roleslist",
		"Атрибути"		=> "&amp;operation=attrlist"
	);

	$voms_hack = "Будь-ласка припиніть спроби несанкційованого доступу! Інформація про цю подію була зафіксована. ";

	// VO manage strings
	$voms_mng_user_caption = "Користувачі: ";
	$voms_mng_groups_caption = "Групи: ";
	$voms_mng_roles_caption = "Ролі: ";
	$voms_mng_user_search = "Пошук користувачів";
	$voms_mng_group_search = "Пошук груп";
	$voms_mng_roles_search = "Пошук ролей";
	$voms_mng_attr_search = "Пошук атрибутів користувача";
	$voms_user_del = "видалити<br/>користувача";
	$voms_grp_del = "видалити";
	$voms_role_del = "видалити";

	$voms_tcaption_tmpl = "%s-%s із %s";
	$voms_no_search  = "Не знайдено користувачів за критерієм \"%s\"";
	$voms_no_users = "Не знайдено жодного користувача";
	$voms_no_attrs = "Немає визначених атрибутів користувачів в цій ВО";
	$voms_no_groups_search = "Не знайдено груп за критерієм \"%s\"";
	$voms_no_roles_search = "Не знайдено ролей за критерієм \"%s\"";
	$voms_no_attrs_search = "Не знайдено атрибутів за критерієм \"%s\"";
	$voms_no_roles = "Не знайдено жодної ролі";
	$voms_no_groups = "Не знайдено жодної групи";

	$voms_create_new_caption = "Додати нового члена ВО";
	$voms_create_new_submit = "Додати!";
	$voms_create_new_failed = "Не вдалося створити запис про нового користувача.";
	$voms_create_new_already_exists = "Користувач з заданим DN та CA вже є учасником ВО.";
	$voms_addca_notfound = "Сертифікат користувача підписано недовіреним CA. Зверніться до адміністратора серверу VOMS щодо підтримки нового довіреного CA.";
	$voms_create_new_wrongparameter = "неправильний синтаксис при заданні поля %s";
	$voms_creategrp_new_caption = "Додати нову групу в ВО";
	$voms_creategrp_pgrp = "Батьківська група:";
	$voms_creategrp_grp = "Ім'я:";
	$voms_creategrp_group_wrong = "Неправильний синтаксис імені групи";
	$voms_creategrp_new_failed = "Не вдалося створити нову групу ( вже існує або помилка бази даних )";
	$voms_create_grp = "Додати нову групу";
	$voms_create_role = "Додати нову роль";
	$voms_createrole_new_caption = "Додати нову роль в ВО";
	$voms_createrole_role = "Ім'я: ";
	$voms_createrole_role_wrong = "Неправильний синтаксис при зазначенні імені ролі";
	$voms_createrole_allready = "Роль вже існує в базі даних";
	$voms_createrole_new_failed = "Не вдалося створити нову роль ( помилка бази даних )";
	$voms_roleinfo_userdet = "Пошук користувачів з роллю <b>%s</b> в вибраній групі";
	$voms_manage_attributes = "Керування класами атрибутів";
	$voms_mattr_caption = "Створити новий опис атрибуту";

	$voms_delete_failed = "Помилка при спробі видалити користувача.";
	$voms_deletegrp_failed = "Помилка при спробі видалити групу.";
	$voms_deletegrp_cannot = "Група що містить підгрупи не може бути видалена.";
	$voms_delete_confirm = "Ви впевнені, що хочете позбавити %s членства в ВО?";
	$voms_deletegrp_confirm = "Ви впевнені, що хочете видалити групу %s з ВО?";
	$voms_deleterole_confirm = "Ви впевнені, що хочете видалити роль %s в ВО?";
	$voms_deleterole_failed = "Помилка при спробі видалити роль.";

	$voms_userinfo_usrdet_caption = "Детальніше про користувача";
	$voms_userinfo_mmbdet_caption = "Детальніше про членство";
	$voms_userinfo_attrm_caption = "Керування загальними атрибутами";

	$voms_userinfo_usrdet_dn = "DN та CA користувача:";
	$voms_userinfo_usrdet_ca = "&nbsp;";
	$voms_userinfo_usrdet_cn = "CN користувача:";
	$voms_userinfo_usrdet_ml = "Адреса e-mail користувача:";
	$voms_userinfo_usrdet_upd = "Зберегти зміни";
	$voms_userinfo_usrdet_updok = "Інформацію про користувача оновлено!";
	$voms_upd_userinfo_wrong = "Неправильне значення для користувача %s. Залишено без змін.";
	$voms_userinfo_del = "видалити користувача";
	$voms_userdet_empty = "Помилка бази даних або спроба навмисної підміни параметрів: немає інформації щодо зазначеного користувача;";

	$voms_togroup_add = "Додати до групи";
	$voms_add_role = "Назначити роль";
	$voms_dissmiss_role = "Скасувати роль";
	$voms_groups_catpion = "Ім'я групи";
	$voms_roles_caption = "Ролі";
	$voms_remove_group = "Видалити";
	$voms_remove_attr = "видалити";
	$voms_assinggroup_usrdet_updok = "Користувач успішно доданий в групу";
	$voms_dissmissgroup_usrdet_updok = "Користувача успішно видалено з групи";
	$voms_addrole_usrdet_updok = "Роль у групі успішно призначено користувачеві";
	$voms_delrole_usrdet_updok = "Роль користувача у групі успішно видалено";
	$voms_addgroup_gid_wrong = "Неправильний ідентифікатор групи. Вашу спробу порушити роботу сервера було зафіксовано.";
	$voms_addrid_rid_wrong = "Неправильний ідентифікатор ролі. Вашу спробу порушити роботу сервера було зафіксовано.";
	$voms_addgroup_allready = "Користувач вже є учасником групи";
	$voms_addgroup_failed = "Помилка сервера. Не вдалося додати користувача до групи.";
	$voms_delgroup_allready = "Користувач не є учасником групи";
	$voms_delgroup_failed = "Помилка сервера. Не вдалося вилучити користувача з групи.";
	$voms_addrid_allready = "Користувачу вже присвоєно роль в групі";
	$voms_addrid_failed = "Помилка серверу. Не вдалося присвоїти роль в групі.";
	$voms_delrid_allready = "Користувач не має зазначеної ролі в групі";
	$voms_delrid_failed = "Помилка серверу. Не вдалося позбавити користувача ролі.";

	$voms_attributes_notexists = "Класи атрибутів не зазначені для даної ВО.";
	$voms_attribute_caption = "Атрибут:";
	$voms_attribute_value_caption = "Значення атрибуту:";
	$voms_attribute_add_submit = "Задати атрибут";
	$voms_attributes_notset = "Атрибут не задано для %s.";
	$voms_attribute_delete = "видалити";
	$voms_attributes = array ( "Ім'я атрибуту" => "Значення атрибуту" );
	$voms_attributes_group = "Ім'я групи";
	$voms_attributes_group_sel = "Група:";
	$voms_attributes_dn = "DN та CA користувача";
	$voms_attributes_uniq = "Унікальний атрибут";
	$voms_attribute_updok = "Атрибут успішно встановлено.";
	$voms_attrdel_updok = "Атрибут успішно видалено.";
	$voms_attribute_id_wrong = "Невірний ідентифікатор параметру. Вашу спробу порушити роботу сервера було зафіксовано.";
	$voms_attribute_notuniq = "Атрибут має бути унікальний але інша %s вже використовує вказане значення.";
	$voms_attribute_name_notuniq = "Критерій унікальності в базі даних не відповідає зазначеному. Неможливо змінити опис атрибуту.";
	$voms_attribute_add_failed = "Помилка серверу. Неможливо присвоїти атрибут";
	$voms_attribute_delok = "Атрибут успішно видалено.";
	$voms_attradd_updok = "Атрибут успішно додано до ВО";
	$voms_attribute_del_failed = "Помилка серверу. Неможливо видалити атрибут";
	$voms_createattr_name = "Ім'я атрибуту:";
	$voms_createattr_descr = "Опис атрибуту:";
	$voms_createattr_uniq = "Унікальний:";
	$voms_attribute_name_wrong = "Неправильний синтаксис при зазначенні імені атрибуту";

	$voms_acldet_caption = "Керування ACL для %s";
	$voms_usrdet_caption = "Деталі членства для %s";
	$voms_attrm_caption = "Керування атрибутами для %s";
	$voms_group = "групи";
	$voms_user = "користувача";
	$voms_role = "ролі";
	$voms_normal_acl_caption = "Список контролю доступу (ACL): ";
	$voms_default_acl_caption = "ACL за замовчуванням: ";
	$voms_no_acl_found = "ACL не визначено для даної групи";
	$voms_acl_table_colnames = array ( "DN та CA адміністратора", "Контейнер", "Членство", "ACL", "Атрибути", "Запити", "Параметри" );
	$voms_acl_error = "Не вдалось отримати інформацію про ACL. Внутрішня помилка серверу.";
	$voms_acl_edit = "редагувати";
	$voms_acl_delete = "видалити";
	$voms_acl_create = "Додати ACL";
	$voms_acl_default = "за замовчуванням";

	// Register in VO
	$voms_register_caption = "Реєстрація %s в ВО <b class=\"greenselected\">%s</b>.";
    $voms_register_service = "грід-сервісу";
    $voms_register_user = "користувача";
    $voms_register_switch_service = "Перейти до реєстрації сервісу";
    $voms_register_switch_user = "Перейти до реєстрації користувача";
	$voms_register_preamble = "Для доступу до ресурсів віртуальної організації, Ви маєте погодитись з <a href=\"%s\">правилами роботи в ВО</a>. Будь-ласка заповніть всі поля в нижченаведеній формі і натисніть кнопку реєстрації внизу сторінки.";
	$voms_register_preamble_next = array (
		"Після того, як Ви надішлете свій запит, Ви отримаєте email з інструкціями щодо подальших дій. Ваш запит не буде направлений до менеджерів ВО доти, доки система не отримає підтвердження валідності Вашої електронної адреси, в результаті виконання Вами описаних в листі інструкції.",
		"ВАЖЛИВО:",
		"Надсилаючи цю інформацію Ви погоджуєтесь, що вона може бути розповсюджена і збережена адміністраторами ВО та сайтів грід-інфраструктури. Ви також погоджуєтесь, що може бути виконана перевірка достовірності наданої інформації, що використовується для контролю доступу до ресурсів ВО, та може бути використана щоб зв'язатися з Вами відносно цієї діяльності."
	);
	$voms_register_non_https = "Ви маєте використовувати з'єднання за протоколом <a href=\"%s\">HTTPS</a> для того, щоб продовжити.";
	$voms_register_no_cert= "Ви маєте виконати імпорт Вашого персонального сертифікату до веб-браузеру.";
	$voms_register_yourdn = "Ваше унікальне ім'я (DN):";
	$voms_register_yourca = "Центр сертифікації:";
	$voms_register_yourmail = "Адреса e-mail:";
    $voms_register_servicedn = "DN сервісу:";
    $voms_register_serviceca = "Центр сертифікації:";
    $voms_register_servicemail = "E-mail адміністратора:";
	$voms_register_yourinstitute = "Інститут:";
	$voms_register_yourphone = "Номер телефону:";
	$voms_register_yourcomments = "Коментар адміністратору ВО:";
	$voms_register_agree = "Я погоджуюсь з правилами роботи ВО.";
	$voms_register_submit = "Реєстрація";
	$voms_register_allready = "Ви вже подали заявку реєстрації.";
	$voms_register_invalid_mail = "Синтаксис адреси email невірний";
	$voms_register_invalid_inst = "Неправильно зазначено інститут";
	$voms_register_invalid_phone = "Неправильно вказано телефон";
	$voms_register_invalid_agree = "Ви не погодились з правилами участі в ВО";
	$voms_register_confirmation = "Необхідне підтвердження";
	$voms_register_complete = "Вам було надіслано електронного листа з інструкціями щодо подальших кроків для реєстрації в ВО %s.<br/>Будь-ласка виконайте вказані інструкції протягом 24 годин, інакше Ваш запит буде проігноровано системою.";
	$voms_register_notyet_processed = "Ви вже виконали підтвердження Вашого запиту, проте адміністратор ВО ще не прийняв рішення щодо Вашої участі. Можливо він зв'яжеться з Вами безпосередньо.";
	$voms_register_confirmation_sent = "Ви вже надіслали заявку на участь в ВО. Вам було надіслано електронного листа з інструкціями щодо подальших кроків для реєстрації (перевірте SPAM-фільтр якщо Ви не можете знайти листа у Вхідних). Якщо Ви все-ще маєте проблеми з поштою, зверніться до адміністратора Вашої ВО або зачекайте 24 години, коли вийде час валідності запиту та спробуйте вказати іншу поштову скриньку.";
	$voms_register_error = "Сталася внутрішня помилка серверу при обробці вашого запиту. Будь-ласка спробуйте надіслати запит ще раз, якщо помилка постійно повторюється зверніться до адміністратора серверу VOMS.";
	$voms_confirmation_title = "Підтвердження запиту участі в ВО";
	$voms_confirmation_ok = "Ваш запит успішно підтверджено. Ви отримаєте повідомлення про рішення адміністратора ВО щодо Вашої участі.";
	$voms_confirmation_already = "Ви вже виконали підтвердження Вашого запиту, будь-ласка очікуйте листа від адміністратора ВО.";
	$voms_confirmation_delete = "Ваш запит було успішно видалено.";
	$voms_confirmation_error = "Сталася внутрішня помилка серверу при обробці підтвердження вашого запиту. Будь-ласка перейдіть за вказаним URL ще раз, якщо помилка постійно повторюється зверніться до адміністратора серверу VOMS.";
	$voms_confirmation_badrequest = "Неправильний URL для підтвердження запиту.";

	// Request subscriptions
	$voms_subscriptions_manage_title = "Запити, що";
	$voms_subscriptions_manage = array (
		"Очікують"	=> "",
		"Оброблені"	=> "&amp;operation=processed"
	);
	$voms_pending_caption = "Запити участі в ВО, що очікують";
	$voms_pending_no = "Немає необроблених запитів на участь в ВО."; 
	$voms_pending_app = "прийняти";
	$voms_pending_rej = "відхилити";
	$voms_processed_caption = "Оброблені запити участі в ВО";
	$voms_processed_no = "Немає оброблених запитів на участь в ВО.";
	$voms_processed_app = "прийнято";
	$voms_processed_rej = "підтверджено";
	$voms_pending_info = array (
		"crdate" => "Дата подачі заявки: ",
		"dn"	=> "DN користувача: ",
		"ca"	=> "CA користувача: ",
		"cn"	=> "CN користувача: ",
		"mail"	=> "Email адреса користувача: ",
		"inst"	=> "Інститут: ",
		"phone"	=> "Телефон користувача: ",
		"cmnt" => "Коментар: "
	);
	$voms_processed_info_ststus = "Статус: ";
	$voms_processed_info_evdate = "Дата обробки: ";
	$voms_pending_apprej = "Ви можете <a href=\"%s\">відхилити</a> або <a href=\"%s\">підтвердити</a> цей запит на участь в ВО.";
	$voms_reqinfo_caption = "Деталі запиту на участь в ВО";
	$voms_subscription_reject_ok = "Запит відхилено.";
	$voms_subscription_reject_err = "Не вдалося відхилити запит на участь.";
	$voms_subscription_approve_ok = "Запит підтверджено.";
	$voms_subscription_approve_err = "Не вдалося прийняти запит на участь.";

	// ACL strings
	$voms_acl_edit_caption = "Редагувати правило ACL: ";
	$voms_acl_failed_info = "Не вдалося отримати інформацію з бази даних. Помилка серверу чи спроба атаки.";
	$voms_acl_admin = "Суб'єкт:";
	$voms_acl_context = "Контекст:";
	$voms_acl_values_caption = array (
		"container" => array ("Операції з контейнерами:","Читання","Запис"),
		"membership" => array ("Участь в ВО:","Читання","Запис"),
		"acl" => array ("Керування ACL правилами:","Перегляд","Встановлення","Замовчення"),
		"requests" => array ("Керування запитами членства:","Перегляд","Затвердження"),
		"attributes" => array ("Операції з глобальними атрибутами:","Перегляд","Зміна"),
		"preferences" => array ("Керування параметрами ВО:","Перегляд","Запис")
	);
	$voms_acl_propagate = "<b>Застосувати до всіх дочірніх контекстів?</b>";
	$voms_acledit_submit = "Зберегти";
	$voms_acl_update_failed = "Помилка серверу чи спроба атаки. Не вдалося змінити права доступу ACL.";

	$voms_acl_del_caption = "Вилучити правило ACL: "; 
	$voms_aclrem_from_children = "Видалити також з дочірніх контекстів?";
	$voms_acl_permissions = "Права:";
	$voms_acldel_submit = "Вилучити правило ACL";
	$voms_acl_delete_failed = "Помилка серверу чи спроба атаки. Не вдалося видалити правило ACL.";
	$voms_acl_create_failed = "Помилка серверу чи спроба атаки. Не вдалося створити правило ACL.";

	$voms_acl_new_caption = "Додати ACL запис для контексту: <span class=\"greenselected\">%s</span>";
	$voms_acl_new_for = "Додати ACL запис, якщо користувач: ";
	$voms_acl_new_grant = " та надати наступні права доступу: ";

	$voms_acl_new_vouser = "Член ВО:";
	$voms_acl_new_nonvouser = "Не член ВО:";
	$voms_acl_new_role = "Будь-хто з:";
	$voms_acl_new_ingroup = "роллю в групі";
	$voms_acl_new_group = "Члени групи";
	$voms_acl_new_anyauth = "Будь-який авторизований користувач";
	$voms_acl_new_submit = "Створити";

	$voms_insufficient_read = "Недостатньо прав, щоб переглянути вміст через \"%s\" ACL.";

	// Configuration 
	$voms_configuration_caption = "Інформація щодо конфігурації";
	$voms_configuration_pvaurl = "PHP VOMS-Admin URL для ВО: ";
	$voms_configuration_vomses = "Конфігурація VOMSES для ВО: ";
    $voms_configuration_lsc = "Послідовність довіри для серверу VOMS (%s.lsc):";
	$voms_configuration_reread_cert = "перечитати дані сертифікату";
	$voms_configuration_mkgridmap = "Приклад конфігурації Mkgridmap для ВО: ";
	$voms_configuration_voarc = "Приклад блоку [vo] в конфігурації ARC для утиліти nordugridmap: ";

	// Send e-mail to server admin form
	$voms_sendmail_caption = "Зв'язок з адміністратором серверу VOMS";
	$voms_sendmail_preamble = array (
		"Використовуючи цю форму, Ви можете надіслати e-mail адміністратору серверу VOMS, якщо у Вас виникають запитання щодо роботи або Ви бажаєте повідомити про проблеми в роботі. Будь-ласка вказуйте правильну e-mail адресу зворотнього зв'язку, щоб отримати відповідь на Ваше повідомлення."
	);
	$voms_sendmail_username = "Ваше ім'я:";
	$voms_sendmail_email = "Ваш e-mail:";
	$voms_sendmail_body = "Текст повідомлення:";
	$voms_sendmail_submit = "Надіслати";

	$voms_sendmail_error_email = "Помилка синтаксису e-mail адреси";
	$voms_sendmail_error_username = "Будь-ласка використовуйте тільки літери в імені";
	$voms_sendmail_error_empty = "Ви не ввели текст повідомлення";

	$voms_sendmail_error = "Вибачте, сталася помилка при надсиланні повідомлення. Будь-ласка перевірте коректність вказаної інформації і спробуйте ще раз.";
	$voms_sendmail_ok = "Повідомлення було успішно надіслано. Ви отримаєте відповідь найближчим часом.";

	// Request serving new VO
	$voms_newvo_non_https = $voms_register_non_https;
	$voms_newvo_no_cert = $voms_register_no_cert;
	$voms_newvo_caption = "Запитати ресурси серверу VOMS для обслуговування власної ВО";
	$voms_newvo_policy = array (
		"Заповнивши форму, що наведено нижче, Ви можете надіслати адміністратору запит на надання ресурсів на нашому сервері VOMS для використання Вашою власною ВО. Для того, щоб надіслати запит, ви маєте бути адміністратором ВО, використати HTTPS з'єднання з сервером, авторизуючись Вашим персональним сертифікатом, імпортованим в веб-браузер. Цей самий механізм авторизації буде використовуватись при адмініструванні віртуальної організації, коли вона буде обслуговуватись сервером."
	);
	$voms_newvo_voname = "Ім'я ВО*:";
	$voms_newvo_admdn= "DN адміністратора ВО:";
	$voms_newvo_admca = "СА адміністратора ВО:";
	$voms_newvo_admmail = "Е-mail адміністратора ВО*:";
	$voms_newvo_defca = "CA за замовчуванням:";
	$voms_newvo_descr = "Опис ВО:";
	$voms_newvo_homepg = "Домашня сторінка ВО:";
	$voms_newvo_rules = "URL до правил роботи в ВО*:";
	$voms_newvo_submit = "Надіслати";
	$voms_newvo_error_name = "Неправильний синтаксис в імені ВО";
	$voms_newvo_error_email = "Неправильний синтаксис e-mail адреси";
	$voms_newvo_error_rules = "Неправильний синтаксис URL до правил роботи в ВО";

	$voms_newvo_error = "Вибачте, сталася помилка при надсиланні запиту. Будь-ласка перевірте коректність вказаної інформації і спробуйте ще раз.";
	$voms_newvo_ok = "Ваш запит було надіслано. Ви отримаєте відповідь найближчим часом.";

	// Preferences
	$voms_preferences_options_title = "Опції";
	$voms_preferences_options = array (
		"Інтерфейсу"		=> "&amp;action=preferences",
		"Транзакцій"		=> $voms_preferences_transactions_url,
		"Реплікації"		=> $voms_preferences_replication_url,
		"Журнал подій"		=> $voms_preferences_eventlog_url
	);

	// - display preferences
	$voms_preferences_display_info = array (
		"Параметри інтерфейсу керують специфічними для ВО значеннями, що впливають на відображення інформації про ВО. Такі параметри можуть в будь-який час бути зміненими адміністратором ВО."
	);
	$voms_preferences_caption = "Параметри інтерфейсу ВО %s";
	$voms_preferences_vodescr = "Опис ВО:";
	$voms_preferences_vourl = "Домашня сторінка:";
	$voms_preferences_ugaseurl = "Правила користування ВО*:";
	$voms_preferences_defca = "CA за замовчуванням:";
	$voms_preferences_registration = "Реєстрацію учасників:";
	$voms_preferences_registration_enabled = "Дозволено";
	$voms_preferences_registration_disabled = "Заборонено";
	$voms_preferences_submit = "Оновити";
	$voms_preferences_badrequired = "Не заповнено всі обов'язкові поля, що позначені зірочкою(*)";
	$voms_preferences_updated = "Конфігурацію ВО успішно оновлено";
	$voms_preferences_updatefail = "Не вдалося оновити конфігурацію ВО. Якщо ця помилка виникає постійно зверніться до адміністратора сарверу VOMS.";

	// - transaction preferences
	$voms_preferences_trans_caption = "Параметри транзакцій ВО %s";
	$voms_preferences_trans_log = "Запис журналу транзакцій зараз ";
	$voms_preferences_trans_log_enabled = "увімкнено";
	$voms_preferences_trans_log_disabled = "вимкнено";
	$voms_preferences_trans_log_enable = "увімкнути";
	$voms_preferences_trans_log_disable = "вимкнути";
	$voms_preferences_trans_updfail = "Не вдалося змінити параметри ведення журналу транзакцій";
	$voms_preferences_trans_repl_fail = "Журнал транзакцій не можна відключити доти, доки існують репліканти";

	$voms_preferences_trans_table_text = array (
		"Нижче наведено перелік операцій з адміністрування ВО, починаючи з самих останніх. Операції охоплюють тільки зміни вмісту бази даних ВО. Операції, що тільки отримують інформацію, такі як виклики SOAP або доступ користувачів не заносяться до журналу."
	);
	$voms_preferences_trans_table_time = "Дата транзакції";
	$voms_preferences_trans_table_who = "Провів";
	$voms_preferences_trans_table_mesg = "Опис операції";
	$voms_preferences_trans_table_who_format = "<b>%s</b><br/>%s";
	$voms_preferences_trans_table_older = "раніше";
	$voms_preferences_trans_table_newer = "пізніше";
	$voms_preferences_trans_no_entries = "Не отримано жодної транзакції. ";
	$voms_preferences_trans_no_entries_older = "Ви можете <a href=\"%s\">повернутись</a> до перегляду транзакцій проведених пізніше.";

	// - replication preferences
	$voms_preferences_repl_caption = "Властивості реплікації для ВО %s";
	$voms_preferences_repl_status = "Реплікацію бази даних ВО зараз ";
	$voms_preferences_repl_status_enabled = $voms_preferences_trans_log_enabled;
	$voms_preferences_repl_status_disabled = $voms_preferences_trans_log_disabled;
	$voms_preferences_repl_status_enable = $voms_preferences_trans_log_enable;
	$voms_preferences_repl_trans_failed = "Ви маєте увімкнути ведення журналу транзакцій для того щоб активувати реплікацію";
	$voms_preferences_repl_interval_caption = "Синхронізувати транзакції кожні ";
	$voms_preferences_repl_intervals = array (
		"5"	=> "5 хвилин",
		"10"	=> "10 хвилин",
		"20"	=> "20 хвилин",
		"30"	=> "30 хвилин",
		"1h"	=> "1 годину",
		"2h"	=> "2 години",
		"4h"	=> "4 години"
	);
	$voms_preferences_repl_new_adj = "Створити нове узгодження реплікації";
	$voms_preferences_repl_addnew = "Створити узгодження з новим реплікантом:";
	$voms_preferences_repl_addnew_descr = array (
		"Для встановлення нового узгодження заповніть форму, що наведено нижче. Відкрийте таке саме вікно на сервері з яким буде встановлено узгодження і введіть коди авторизації узгодження один одного.",
		"Зауважте: створення узгодження <b>ще не активує</b> саму реплікацію, але необхідне для взаємної авторизації реплікантів!",
		"Якщо ви бажаєте встановити реплікацію між більше ніж двома сервери за топологією \"кожен з кожним (full-mesh)\", ви маєте встановити узгодження між кожною парою серверів."
	);
	$voms_preferences_repl_dn = "DN репліканта";
	$voms_preferences_repl_ca = "CA репліканта";
	$voms_preferences_repl_endpoint = "Ім'я серверу";
	$voms_preferences_repl_endpointip = "IP-адреса серверу";
	$voms_preferences_repl_adj_code = "Код узгодження";
	$voms_preferences_repl_code = "Код авторизації репліканта";
	$voms_preferences_repl_new_adj_submit = "Створити";
	$voms_preferences_repl_new_wrongsyntax = "Неправильний синтаксис для '%s'";
	$voms_preferences_repl_ca_nohash = "Не вдалося знайти CA в списку довірених CA серверу";
	$voms_preferences_repl_resolve_failed = "Не вдалося виконати DNS-трансляцію імені срвера \"%s\". Будь-ласка перевірте адресу віддаленого сервера.";
	$voms_preferences_repl_curl_failed = "Помилка з'єднання з віддаленим сервером: ";
	$voms_preferences_repl_ping_filed = "вірогідно інтерфейс RPC не підтримується віддаленим сервером - ping-тест завершився невдало.";
	$voms_preferences_repl_dnexists = "Інше узгодження реплікації вже містить вказаний DN віддаленого серверу.";
	$voms_preferences_repl_dbfailed = "Критична помилка! Неможливо записати інформацію про узгодження дло бази даних. Якщо це повідомлення виникає весь час, будь-ласка зверність до адміністратора серверу VOMS.";
	$voms_preferences_repl_added = "Інформацію про нове узгодження успішно додано.";
	$voms_preferences_repl_adj_list = "Перелік узгоджень реплікації";
	$voms_preferences_repl_status_arr = array (
		0 => "НЕПІДТВЕРДЖЕНЕ",
		1 => "ІНІЦІАЛІЗОВАНО",
		2 => "СИНХРОНІЗОВАНО: "
	);
	$voms_preferences_repl_adj_detail_caption = "Деталі узгодження для ";
	$voms_preferences_repl_adj_bad_id = "Неправильний ідентифікатор узгодження. Неможливо відобразити інформацію.";
	$voms_preferences_repl_adj_detail_status = "Статус узгодження";
	$voms_preferences_repl_edit = "редагувати";
	$voms_preferences_repl_submit = "підтвердити зміни";
	$voms_preferences_repl_changed = "Код авторизації репліканта в узгодженні успішно змінено";
	$voms_preferences_repl_adj_confirm_req = "Це узгодження потребує підтвердження";
	$voms_preferences_repl_adj_confirm_req_text = array (
		"Підтвердження необхідно, щоб переконатись в валідності кода авторизації репліканта, що буде в подальшому використовуватись для регулярної синхронізації транзакцій.",
		"Щоб розпочати синхронізацію транзакцій ви також маєте впевнитись, що всі інсталяції PVA мають ідентичні бази даних для вашої ВО. Для цього один з учасників узгодження(споживач) має <b>повністю перезаписати</b> власну базу даних даними репліканта-провайдера.",
		"Якщо ця інсталяція виконує роль споживача, <b>встановіть флажок щоб повністю перезаписати свою базу даних даними провайдера</b>.",
		"<b>УВАГА!</b> Резервне копіювання поточної бази даних споживача перед перезаписом даних НАГАЛЬНО рекомендовано.",
		"<b>УВАГА!</b> Після перезапису даних ви можете втратити привілеї адміністратора відповідно до нових даних.",
		"Якщо ви вже виконали роль споживача в іншому узгодженні при багато-серверній реплікації ви можете не виконувати перезапис ще раз."
	);
	$voms_preferences_repl_adj_confirm_checkbox = "Перезаписати локальну базу даних даними репліканта";
	$voms_preferences_repl_adj_confirm_button = "Підтвердити";
	$voms_preferences_repl_consumer_failed = "На вдалось перезаписати базу даних даними репліканта. Відновлено до локальної версії.";
	$voms_preferences_repl_consumer_success = "Операція завершилась успішно - базу даних було перезаписано даними репліканта.";
	$voms_preferences_repl_adj_enabled = "Реплікація з цим сервером активна.";
	$voms_preferences_repl_remote_ok = "Узгодження було успішно підтверджене. ";
	$voms_preferences_repl_bad_remote_status = "Не вдалося підтвердити узгодження (жоден сервер узгодження не перезаписав свою базу даних).";
	$voms_preferences_repl_adj_remove = "видалити узгодження";
	$voms_preferences_repl_adj_remove_warn = "Увага! Після видалення узгодження, база даних ВО може виявитись розсинхронізованою. Ви дійсно бажаєте продовжити видалення?";
	$voms_preferences_repl_adj_remove_ok = "Узгодження успішно видалено.";
	$voms_preferences_repl_adj_remove_fail = "Не вдалося видалити узгодження реплікації. Некоректний запит або внутрішня помилка серверу.";
	$voms_preferences_repl_id2uuid_failed = "Не вдалося створити таблицю відповідності id до UUID необхідну для коректної роботи реплікації. Зверніться до адміністратора серверу VOMS для вирішення цієї проблеми.";

	// RPC error codes
	$voms_rpc_error_caption = "Помилка RPC: ";
	$voms_rpc_error_codes_descr = array ( 
		1 => "Вказана ВО не обслуговується зазначеним сервером",
		2 => "Необхідне використання HTTPS підключення",
		3 => "Ключ авторизації не знайдено",
		4 => "Не вдалося пройти перевірку авторизації",
		5 => "Віддалений сервер не зміг розпізнати запит",
		6 => "Віддалений сервер не зміг обробити запит",
		255 => "Збій обробки запиту"
	);

	// Log subsystem messages
	$voms_log_subsys_codes = array (
		1 => "Реплікація"
	);

	$voms_log_msg_codes = array (
		1 => "Помилка з'єднання з віддаленим сервером:: %s",
		2 => "Помилка RPC #%s: %s",
		3 => "Помилка при виклику функції %s, що реплікується. Аргументи:\n%s",
		4 => "Помилка бази даних #%s при спробі зберегти отриману транзакцію",
		5 => "Отримано невалідну відповідь на RPC-запит:\n%s"
	);
	$voms_log_notify_msg = "PVA потребує вашої уваги! В черзі журналу %s події, що <a href=\"%s\">потребують уваги адміністратора</a>.";
	$voms_preferences_log_caption = "Журнал подій PVA для VO %s";
	$voms_preferences_log_no_log = "Система не зареєструвала подій, на які треба звернути увагу.";
	$voms_preferences_log_take_notice = "прийняти до відома";
	$voms_preferences_log_take_notice_all = "прийняти до відома всі події";
	$voms_preferences_log_info = array (
		"Нижче наведено список подій, що сталися поза використання інтерфейсу адміністратором ВО і потребують вашої уваги.",
		"Такими подіями можуть бути відкладені завдання, такі як реплікація або інциденти безпеки, що сталися через випадкові або навмисні дії користувачів."
	);
	$voms_preferences_log_info_adm = array (
		"Натискаючи на <b>\"$voms_preferences_log_take_notice\"</b> ви підтверджуєте, що ви прийняли до відома виявлену подію і повідомлення про неї не будуть з’являтися в майбутньому. Якщо ви отримуєте інформацію про події, що сталися через помилки в роботі серверу VOMS, або потребуєте допомоги для вирішення проблем що виникли, будь-ласка <a href=\"?globop=mailadm\">зверніться до адміністратора серверу VOMS</a>."
	);
	$voms_preferences_log_table_subsys = "Підсистема";
	$voms_preferences_log_table_msg = "Повідомлення";
	$voms_preferences_log_table_time = "Час виявлення";
	$voms_preferences_log_occurence = "<b>%d</b> подій від %s до %s";
	$voms_preferences_log_take_notice_ok = "Подію успішно відмічено, як таку, що прийнято до відома.";
	$voms_preferences_log_take_notice_failed = "Не вдалося відмітити подію, як таку, що прийнято до відома.";

	// Database schema version
	$voms_dbschema_nofity = "Необхідно виконати оновлення схеми бази даних ВО. Внесення змін заборонено для збереження цілісності.";
	$voms_dbschema_usernotify = "Виконуються роботи по обслуговуванню сервера під час яких база даних ВО доступна лише для читання інформації. Будь-ласка, повторіть Ваш запит пізніше або ж безпосередньо зверніться до менеджера ВО.";

	// Function descriptions
	$voms_functions_descriptions = array (
		"createUser"    => "До учасників ВО додано користувача '%s' засвідченого '%s'",
		"createRole"    => "Створено роль '%s'",
		"createGroup"   => "Створену групу '%s'",
		"deleteUser"    => "Припинено участь у ВО для учасника '%s'",
		"deleteRole"    => "Видалено роль '%s'",
		"deleteGroup"   => "Видалено групу '%s'",
		"updateUserInfo"	=> "Оновлено інформацію про учасника '%s': CN = '%s', e-mail = '%s'",
		"updateACLPermissions"	=> "Оновлено права доступу в групі '%s' для '%s'. Нові права: %s ",
		"deleteACLentry"	=> "Видалено запис ACL для адміністратора '%s' в групі '%s'",
		"deleteACLentryChilds"	=> " включаючи всі дочірні групи",
		"addMembership"		=> "Для '%s' надано участь в групі '%s'",
		"addMembershipRole"	=> " з роллю '%s'",
		"delMembership"		=> "Для '%s' припинено участь в групі '%s'",
		"delMembershipRole"	=> " з роллю '%s'",
		"addAttribute"		=> "Значення атрибуту '%s' встановлено в '%s' для %s '%s'",
		"delAttribute"		=> "Видалено атрибут '%s' для %s '%s'",
		"addRoleAttribute"	=> "Значення атрибуту '%s' встановлено в '%s' для ролі '%s' в групі '%s'",
		"delRoleAttribute"	=> "Видалено атрибут '%s' для ролі '%s' в групі '%s'",
		"delVOAttribute"	=> "Атрибут '%s' видалено зі списку атрибутів ВО",
		"addVOAttribute"	=> "До списку атрибутів ВО додано атрибут '%s ( %s )'",
		"addVOAttributeUniq"	=> "До списку атрибутів ВО додано атрибут '%s ( %s )', що повинен мати унікальні значення",
		"createNewRequest"	=> "Новий запит участі в ВО від '%s' засвідченого '%s'",
		"confirmRegRequest"	=> "Підтвердження запиту участі в ВО від користувача '%s' засвідченого '%s'",
		"deleteRegRequest"	=> "Скасування запиту участі в ВО від користувача '%s' засвідченого '%s'",
		"changeRequestState"	=> "Заявку участі в ВО '%s' засвідченого '%s' було ",
		"changeRequestStateA"	=> "прийнято",
		"changeRequestStateD"	=> "відхилено",
		"createAdmin"		=> "Запис для спеціальних прав керування ВО створено для користувача '%s' засвідченого '%s'",
		"saveSettingsToDB"	=> "Змінну '%s' збережено в базі даних зі значенням '%s'",
		"update_vo_config"	=> "Змінено властивості інтерфейсу ВО: опис - %s; домашня сторінка - %s; правила участі - %s; CA за замовчуванням - %s; реєстрація учасників - %s;",
		"setACLPermissions"     => "Скинуто права доступу ACL %sдля контейнеру '%s'. Нові права доступу:\n"
	);

	// Capthcha
	$voms_captcha_label = "Введіть текст на рисунку:";
	$voms_captcha_wrongvalue = "Текст на рисунку не відповідає введеному";
?>
