<?php
//    Copyright 2010 Andrii Salnikov
//
//   Licensed under the Apache License, Version 2.0 (the "License");
//   you may not use this file except in compliance with the License.
//   You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//   Unless required by applicable law or agreed to in writing, software
//   distributed under the License is distributed on an "AS IS" BASIS,
//   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//   See the License for the specific language governing permissions and
//   limitations under the License.
//

// Check cookies, otherwise get browser default
if ( isset($_COOKIE['lang']) ) {
    $lang = $_COOKIE['lang'];
} else {
    if ( isset($_SERVER['HTTP_ACCEPT_LANGUAGE']) ) {
            $lang = substr($_SERVER['HTTP_ACCEPT_LANGUAGE'], 0, 2);
    } else {
            $lang = 'en';
    }
}

$langfile = $lang . '.inc';
// turn off warnings checking for unexisting language
require('en.inc');
error_reporting(E_ALL & ~E_WARNING);
if(!include($langfile)) {
    // set default lang to english
    $lang = 'en';
} else if ( isset($lang_overlay) ) {
    include("$lang_overlay/$langfile");
}
// turn on warnings
error_reporting(E_ALL);
?>
